package iDSS.beans;

import java.util.*;
import java.rmi.RemoteException;
import java.sql.*;

import iDSS.utils.*;

//import ejb.stations.*;

public class TestTidalStations {

    public static void main(String[] args) {


        iDSS.beans.TidalStationsJBean tsBean = new iDSS.beans.TidalStationsJBean();
        tsBean.setEjbName("TidalStationsEJB");

        Vector stations = tsBean.findAll();

        for(int i=0;i<stations.size();i++) {

            Vector v = (Vector)stations.elementAt(i);

            String stationName = v.elementAt(0).toString();
            Timestamp startDate = (Timestamp)v.elementAt(1);
            Timestamp endDate = (Timestamp)v.elementAt(2);
            String dataTable = (String)v.elementAt(3);

            System.out.println("Station name : " + stationName);
            System.out.println("Start date   : " + startDate.toString());
            System.out.println("End date     : " + endDate.toString());
            System.out.println("Data table   : " + dataTable);

        } //for(int i=0;i<stations.size();i++)




    } //public static void main(String[] args)



} //public class TestTidalStations
